%define major 0
%define libname %mklibname %name %{major}
%define develname %mklibname -d %{name}

Name:		babl
Version:	0.1.0
Release:	%mkrel 1
Epoch:		1
Summary:        Babl - dynamic, any to any, pixel format conversion library	
Group:		System/Libraries
License:	LGPLv3+
URL:		http://www.gegl.org/babl
Source0:	ftp://ftp.gimp.org/pub/babl/0.1/%{name}-%{version}.tar.bz2
Patch0:		babl-0.0.22-fix-str-fmt.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Babl is a dynamic, any to any, pixel format conversion library. 
It provides conversions between the myriad of buffer types images 
can be stored in. Babl doesn't only help with existing pixel formats, 
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as 
conversions between them.

%package -n     %{libname}
Summary:        A library for %name
Group:          System/Libraries
Provides: 	%libname = %{version}-%{release}
Obsoletes:	%{_lib}babel14

%description -n %{libname}
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

%package -n     %{develname}
Summary:        Header files for %name 
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}babel14-devel
Obsoletes:	%{libname}-devel

%description -n %{develname}
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

%prep
%setup -q 
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -fr %buildroot installed-docs
%makeinstall
cp -r docs installed-docs
cd installed-docs
rm -rf tools Makefile* *.in graphics/Makefile*

%clean
rm -fr %buildroot

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%doc README NEWS TODO AUTHORS
%{_libdir}/libbabl-0.0.so.%{major}*
%dir %{_libdir}/babl-0.0/
%{_libdir}/babl-0.0/gggl.so*
%{_libdir}/babl-0.0/naive-CMYK.so*
%{_libdir}/babl-0.0/gimp-8bit.so*
%{_libdir}/babl-0.0/CIE-Lab.so*
%{_libdir}/babl-0.0/gegl-fixups.so*
%{_libdir}/babl-0.0/gggl-lies.so*
%{_libdir}/babl-0.0/sse-fixups.so*
%{_libdir}/babl-0.0/*.la

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog installed-docs/*
%{_libdir}/libbabl-0.0.la
%{_libdir}/libbabl-0.0.so
%{_libdir}/pkgconfig/babl.pc
%dir %{_includedir}/babl-0.0/babl
%{_includedir}/babl-0.0/babl/*



%changelog
* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 1:0.1.0-1mdv2010.0
+ Revision: 393147
- new version
- source URL
- update file list
- fix installation

* Tue Apr 07 2009 Funda Wang <fundawang@mandriva.org> 1:0.0.22-1mdv2009.1
+ Revision: 364695
- fix str fmt

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 1:0.0.22-1mdv2009.0
+ Revision: 228534
- new version
- fix spec file mess
- move modules to the library package
- add documentation

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 16 2008 Emmanuel Andry <eandry@mandriva.org> 1:0.0.20-3mdv2009.0
+ Revision: 194643
- Add needed provides

* Wed Apr 16 2008 Emmanuel Andry <eandry@mandriva.org> 1:0.0.20-2mdv2009.0
+ Revision: 194610
- Fix devel package
- obsolete wrong majors

* Fri Apr 11 2008 Emmanuel Andry <eandry@mandriva.org> 1:0.0.20-1mdv2009.0
+ Revision: 192590
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix %%major (tks misc)

* Wed Jun 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.14-1mdv2008.0
+ Revision: 38582
- Import babl

